
QGIS Application - Bug report #13364

Weird behaviour after merging 2 or more lines

2015-09-15 10:11 AM - Piotr Kania

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21416

Description

Hi!

When I select 2 or more lines (they "touch" each other with endpoints) and merge them with "Merge selected features" tool, I can't move

together with Node Tool vertices that earlier were those endpoints - I can do that if I split this line with "Split Features Part(s)" - but I need

that lines to be one single part feature as they stick with their endpoints etc.

Related issues:

Related to QGIS Application - Bug report # 11400: merge features disregards type Closed 2014-10-13

History

#1 - 2015-09-15 11:12 PM - Saber Razmjooei

- Category set to Digitising

- Priority changed from Normal to Severe/Regression

- Target version set to Version 2.12

Confirmed and marked as blocker.

#2 - 2015-09-17 12:14 AM - michele zanolli

Confirmed, I think it's related to #11400 (and more explained, see my last post)

#3 - 2015-09-17 01:01 AM - Piotr Kania

michele zanolli wrote:

Confirmed, I think it's related to #11400 (and more explained, see my last post)

Thanks - yes, that's the same, thanks for the info about "Join multiple lines" plugin - it's excellent workaround

#4 - 2015-10-12 02:28 PM - Nyall Dawson

- Status changed from Open to Feedback

Likely fixed with #13274, can you please retest and confirm?
#5 - 2015-10-12 02:43 PM - Piotr Kania

Yes - it's repaired and it works ok

#6 - 2015-10-13 04:36 PM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
